Subject: Re: [bitcoin-dev] [BIP] Normalized transaction IDs

From: Gregory Maxwell <[email-masked]>
Date: Thu, 22 Oct 2015 08:57:29 +0000

On Thu, Oct 22, 2015 at 8:26 AM, Christian Decker via bitcoin-dev
<[email-masked]> wrote:
> Normalized transaction IDs do help in the case that the single signer wants
> to immediately follow up its transaction with another transaction spending
> the first one's change output, and it prevents any modification in the
> multi-signer scenario.

For ordinary transactions which are not performing interesting smart
contracts that particular is better addressed via canonical encoding,
which is immediately available and doesn't have the associated costs
(new pubkey type adoption, 20%-30% UTXO size increase, need for nodes
to fixup txid references, etc.).

Please, as I said up-thread: this is good and importantstuff to work
on, but it shouldn't be oversold.